Page MenuHomePhabricator

Decommission restbase10(0[7-9]|1[0-5])
Closed, ResolvedPublic

Description

restbase10(0[7-9]|1[0-5]) are machines with Samsung SSDs. We need to retire them.

Checklist

  • Cassandra decommission:
    • restbase1007
    • restbase1008
    • restbase1009
    • restbase1010
    • restbase1011
    • restbase1012
    • restbase1013
    • restbase1014
    • restbase1015
  • Remove RESTBase from nodes
    • from scap targets
    • from LVS / conftool
  • set nodes as spares

Event Timeline

mobrovac triaged this task as Normal priority.May 21 2019, 10:51 AM
mobrovac created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 21 2019, 10:51 AM

Mentioned in SAL (#wikimedia-operations) [2019-05-21T22:51:43Z] <urandom> decommissioning restbase1007-b -- T223976

Mentioned in SAL (#wikimedia-operations) [2019-05-22T07:36:51Z] <mobrovac> decommission restbase1007-c - T223976

Change 511846 had a related patch set uploaded (by Mobrovac; owner: Mobrovac):
[operations/puppet@production] RESTBase: Replace soon-to-be-removed nodes with new ones

https://gerrit.wikimedia.org/r/511846

Eevans updated the task description. (Show Details)May 22 2019, 1:05 PM

Mentioned in SAL (#wikimedia-operations) [2019-05-22T13:06:51Z] <urandom> decommissioning restbase1008-a -- T223976

Change 511846 merged by Filippo Giunchedi:
[operations/puppet@production] RESTBase: Replace soon-to-be-removed nodes with new ones

https://gerrit.wikimedia.org/r/511846

Mentioned in SAL (#wikimedia-operations) [2019-05-22T17:06:06Z] <urandom> decommissioning restbase1008-b -- T223976

Mentioned in SAL (#wikimedia-operations) [2019-05-22T21:41:20Z] <urandom> decommissioning restbase1008-c -- T223976

Mentioned in SAL (#wikimedia-operations) [2019-05-23T04:57:54Z] <mobrovac> decommission restbase1009-a - T223976

Eevans updated the task description. (Show Details)May 23 2019, 1:52 PM

Mentioned in SAL (#wikimedia-operations) [2019-05-23T13:55:09Z] <urandom> decommissioning restbase1009-b -- T223976

Mentioned in SAL (#wikimedia-operations) [2019-05-23T18:54:34Z] <urandom> decommissioning restbase1009-c -- T223976

Eevans updated the task description. (Show Details)May 24 2019, 12:15 AM

Mentioned in SAL (#wikimedia-operations) [2019-05-24T00:20:52Z] <urandom> decommissioning restbase1010-a -- T223976

Mentioned in SAL (#wikimedia-operations) [2019-05-24T10:09:55Z] <mobrovac> decommission restbase1010-b - T223976

Mentioned in SAL (#wikimedia-operations) [2019-05-24T15:44:56Z] <urandom> decommissioning restbase1010-c -- T223976

Eevans updated the task description. (Show Details)May 24 2019, 9:53 PM

Mentioned in SAL (#wikimedia-operations) [2019-05-24T21:56:26Z] <urandom> decommissioning restbase1011-a -- T223976

Mentioned in SAL (#wikimedia-operations) [2019-05-25T09:20:31Z] <mobrovac> decommission restbase1011-b - T223976

Mentioned in SAL (#wikimedia-operations) [2019-05-25T13:46:58Z] <urandom> decommissioning restbase1011-b -- T223976

Mentioned in SAL (#wikimedia-operations) [2019-05-25T22:41:41Z] <urandom> decommissioning restbase1011-c -- T223976

Mentioned in SAL (#wikimedia-operations) [2019-05-26T08:01:10Z] <mobrovac> decommission restbase1012-a - T223976

Eevans updated the task description. (Show Details)May 26 2019, 1:59 PM

Mentioned in SAL (#wikimedia-operations) [2019-05-26T14:09:31Z] <urandom> decommissioning restbase1012-b -- T223976

Mentioned in SAL (#wikimedia-operations) [2019-05-26T20:39:33Z] <urandom> decommissioning restbase1012-c -- T223976

Eevans updated the task description. (Show Details)May 27 2019, 2:59 AM

Mentioned in SAL (#wikimedia-operations) [2019-05-27T02:59:56Z] <urandom> decommissioning restbase1013-a -- T223976

Mentioned in SAL (#wikimedia-operations) [2019-05-27T10:35:27Z] <mobrovac> decommission restbase1013-b - T223976

Mentioned in SAL (#wikimedia-operations) [2019-05-27T16:34:32Z] <mobrovac> decommission restbase1013-c - T223976

Eevans updated the task description. (Show Details)May 28 2019, 12:36 AM

Mentioned in SAL (#wikimedia-operations) [2019-05-28T00:38:00Z] <urandom> decommissioning restbase1014-a -- T223976

Mentioned in SAL (#wikimedia-operations) [2019-05-28T07:02:36Z] <mobrovac> decommission restbase1014-b -- T223976

Mentioned in SAL (#wikimedia-operations) [2019-05-28T13:24:08Z] <urandom> decommissioning restbase1014-c -- T223976

Eevans updated the task description. (Show Details)May 28 2019, 9:31 PM

Mentioned in SAL (#wikimedia-operations) [2019-05-28T21:35:43Z] <urandom> decommissioning restbase1015-a -- T223976

Mentioned in SAL (#wikimedia-operations) [2019-05-29T07:42:37Z] <mobrovac> decommission restbase1015-b -- T223976

Mentioned in SAL (#wikimedia-operations) [2019-05-29T13:48:44Z] <urandom> decommissioning restbase1015-c -- T223976

Eevans updated the task description. (Show Details)May 29 2019, 7:53 PM
mobrovac updated the task description. (Show Details)May 29 2019, 8:44 PM
Votisky set Due Date to May 30 2019, 7:00 AM.
Votisky changed the point value for this task from 0 to 1.
Restricted Application changed the subtype of this task from "Task" to "Deadline". · View Herald TranscriptMay 30 2019, 5:21 AM
mobrovac removed Votisky as the assignee of this task.May 30 2019, 5:34 AM
mobrovac removed Due Date.
mobrovac removed the point value for this task.
mobrovac added a subscriber: Votisky.
Restricted Application changed the subtype of this task from "Deadline" to "Task". · View Herald TranscriptMay 30 2019, 5:34 AM
Votisky closed this task as Resolved.May 30 2019, 5:35 AM
Votisky claimed this task.
Votisky set Due Date to May 30 2019, 7:00 AM.
Votisky updated the task description. (Show Details)
Votisky set the point value for this task to 1.
mobrovac reopened this task as Open.May 30 2019, 5:38 AM
mobrovac removed Votisky as the assignee of this task.
mobrovac removed the point value for this task.
mobrovac removed Due Date.
mobrovac updated the task description. (Show Details)
mobrovac added a subscriber: Votisky.
mobrovac removed a subscriber: Votisky.

Change 513260 had a related patch set uploaded (by Mobrovac; owner: Mobrovac):
[mediawiki/services/restbase/deploy@master] Scap: Remove old hosts from targets

https://gerrit.wikimedia.org/r/513260

Change 513262 had a related patch set uploaded (by Mobrovac; owner: Mobrovac):
[operations/puppet@production] RESTBase: Remove restbase10(0[7-9]|1[0-5]) and set them as spares

https://gerrit.wikimedia.org/r/513262

Change 513262 merged by Filippo Giunchedi:
[operations/puppet@production] RESTBase: Remove restbase10(0[7-9]|1[0-5]) and set them as spares

https://gerrit.wikimedia.org/r/513262

fgiunchedi updated the task description. (Show Details)Jun 27 2019, 1:24 PM

Change 513260 merged by Mobrovac:
[mediawiki/services/restbase/deploy@master] Scap: Remove old hosts from targets

https://gerrit.wikimedia.org/r/513260